// @ts-check
import { defineConfig } from 'astro/config';
import tailwindcss from '@tailwindcss/vite';
import { default as astroIcon } from 'astro-icon';
import mdx from '@astrojs/mdx';
import node from '@astrojs/node';
import sitemap from '@astrojs/sitemap';
import solidJs from '@astrojs/solid-js';

// https://astro.build/config
export default defineConfig({
  site: 'https://advokat086.ru',
  integrations: [astroIcon(), mdx(), sitemap(), solidJs()],
  prefetch: true,
  vite: {
    plugins: [tailwindcss()]
  },
  output: 'server',
  adapter: node({ mode: 'standalone' }),
});